Clean up inconsistencies in the paginators

Bug #1531610 reported by Robert Lyon on 2016-01-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon
15.10
Medium
Robert Lyon
16.04
Medium
Unassigned
16.10
Medium
Robert Lyon

Bug Description

Now that we have the paginators behaving with the same underlying code there has arisen some issues with the optional variables each paginator can use.

These issues include:
- pages using jump links opiton but not collections
Need to make it consistent

- Some places using limit per page from the get_account_preference($USER->get('id'), 'viewsperpage'); variable while other are set to the default 10 per page.
Need to only use the account preference for portfolio/group/institution/site pages and not elsewhere
Need to also have it so that if the page has less than 10 results to ignore the user preference

Numbers are not displayed sequentially when viewing. Please see the attached screen shot.

Robert I forgot to mention that the issue I reported above is present in all the pagination pages I have been looking at in bug number 1515484 and definitely sure it's present elsewhere that I haven't seen.

1) Group -> my groups
2) Group -> find groups
3) Admin -> Users -> Suspended ...
4) Admin -> Group
5) Content -> Journal -> entries list

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/5888

Robert Lyon (robertl-9) wrote :

Ah that issue is not to do with pagination but more with how we sort results coming out of the database.

The issue is they are sorted by title, which is a string, so the number at the end of the string eg 1, 2 3 etc. are treated as part of the string.

So Pagination Group 14 comes before Pagination Group 14 due to alphabetical sorting and not natural sorting as expected.

There are ways to achieve natural sorting but the main problem with them is they either need the string to have some predictability - eg position/length of integer to be predictable or to have some sql function added to the database, neither of these options are acceptable.

Robert Lyon (robertl-9) on 2016-01-07
tags: added: usermanualupdate
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/5890

Reviewed: https://reviews.mahara.org/5887
Committed: https://git.mahara.org/mahara/mahara/commit/c135e623797799b5f83eff2ac00ae96e1ac43edb
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit c135e623797799b5f83eff2ac00ae96e1ac43edb
Author: Robert Lyon <email address hidden>
Date: Thu Jan 7 11:09:07 2016 +1300

Bug 1531610: Using jump links for pagination

On the:
- collection lists
- journal /journal entry lists
- plans/tasks lists

And tidying up the options so they are similar to view pagination
options

behatnotneeded

Change-Id: I64f00e075d0b2e6bb92d6f7d627880629ad5575e
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/5925
Committed: https://git.mahara.org/mahara/mahara/commit/f8e2d17e4ab3740a0e6ba947a3f7407ced117165
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit f8e2d17e4ab3740a0e6ba947a3f7407ced117165
Author: Robert Lyon <email address hidden>
Date: Thu Jan 7 11:09:07 2016 +1300

Bug 1531610: Using jump links for pagination

On the:
- collection lists
- journal /journal entry lists
- plans/tasks lists

And tidying up the options so they are similar to view pagination
options

behatnotneeded

Change-Id: I64f00e075d0b2e6bb92d6f7d627880629ad5575e
Signed-off-by: Robert Lyon <email address hidden>

no longer affects: mahara/16.04
Changed in mahara:
status: Fix Committed → Fix Released
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5888
Committed: https://git.mahara.org/mahara/mahara/commit/4676d7b2f9cbd86008b9e1f6725125452f18470b
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 4676d7b2f9cbd86008b9e1f6725125452f18470b
Author: Robert Lyon <email address hidden>
Date: Thu Jan 7 11:11:12 2016 +1300

Bug 1531610: Sorting out where viewsperpage should be used

Made a centeralised function so that we can use 'viewsperpage' only
for the different pages lists. And have 'itemsperpage' for certain
admin lists.

behatnotneeded

Change-Id: Ie8b49bdc0d86ef49f66e9a1bf09799e6bc21484b
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5890
Committed: https://git.mahara.org/mahara/mahara/commit/c467b7d4e06d0caf719f816bfa0d7b82dd1f4b69
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit c467b7d4e06d0caf719f816bfa0d7b82dd1f4b69
Author: Robert Lyon <email address hidden>
Date: Thu Jan 7 16:15:31 2016 +1300

Bug 1531610: Fixing up missed 'notes' page js pagination

behatnotneeded

Change-Id: Ie6b88396503d97422aa807d66105b644d36cac51
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/6479

Reviewed: https://reviews.mahara.org/6478
Committed: https://git.mahara.org/mahara/mahara/commit/3f24446a12501f19032ad02e71888bd7f096364b
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 3f24446a12501f19032ad02e71888bd7f096364b
Author: Robert Lyon <email address hidden>
Date: Thu Jan 7 11:11:12 2016 +1300

Bug 1531610: Sorting out where viewsperpage should be used

Made a centeralised function so that we can use 'viewsperpage' only
for the different pages lists. And have 'itemsperpage' for certain
admin lists.

behatnotneeded

Change-Id: Ie8b49bdc0d86ef49f66e9a1bf09799e6bc21484b
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 4676d7b2f9cbd86008b9e1f6725125452f18470b)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6479
Committed: https://git.mahara.org/mahara/mahara/commit/6b635982821240bec864472b20d219e67be71128
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 6b635982821240bec864472b20d219e67be71128
Author: Robert Lyon <email address hidden>
Date: Thu Jan 7 16:15:31 2016 +1300

Bug 1531610: Fixing up missed 'notes' page js pagination

behatnotneeded

Change-Id: Ie6b88396503d97422aa807d66105b644d36cac51
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit c467b7d4e06d0caf719f816bfa0d7b82dd1f4b69)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
status: Fix Committed → Fix Released
tags: removed: usermanualupdate
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers